package com.example.moos.menu;

import android.content.Intent;
import android.media.MediaPlayer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class Menu extends AppCompatActivity {
    private Button button_level_select;
    private Button button_how_to_play;
    private Button button_online_ranking;
    private Button button_store;
    private Button button_options;

    int double_click_menu = 0;
    int highest_completed_level = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu);

        // Hide the status bar:
        View decorView = getWindow().getDecorView();
        int uiOptions = View.SYSTEM_UI_FLAG_FULLSCREEN|View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY;
        decorView.setSystemUiVisibility(uiOptions);

        final MediaPlayer second_click = MediaPlayer.create(this, R.raw.second_click);
        final MediaPlayer level_selectie = MediaPlayer.create(this, R.raw.level_selectie);
        final MediaPlayer uitleg = MediaPlayer.create(this, R.raw.uitleg);
        final MediaPlayer online_ranking = MediaPlayer.create(this, R.raw.online_ranking);
        final MediaPlayer winkel = MediaPlayer.create(this, R.raw.winkel);
        final MediaPlayer opties = MediaPlayer.create(this, R.raw.opties);

        // Get the Intent that started this activity and extract the string
        Intent open_menu = getIntent();
        highest_completed_level = open_menu.getIntExtra("key", highest_completed_level);

        button_level_select = (Button) findViewById(R.id.button_level_select);
        button_level_select.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_menu==1) {
                    double_click_menu = 0;
                    second_click.start();
                    openLevel_select();
                } else {
                    level_selectie.start();
                    double_click_menu++;
                }
            }
        });
        button_how_to_play = (Button) findViewById(R.id.button_how_to_play);
        button_how_to_play.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                double_click_menu = 0;
                uitleg.start();
            }
        });
        button_online_ranking = (Button) findViewById(R.id.button_online_ranking);
        button_online_ranking.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                double_click_menu = 0;
                online_ranking.start();
            }
        });
        button_store = (Button) findViewById(R.id.button_store);
        button_store.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                double_click_menu = 0;
                winkel.start();
            }
        });
        button_options = (Button) findViewById(R.id.button_options);
        button_options.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                double_click_menu = 0;
                opties.start();
            }
        });

    }

    public void openLevel_select() {
        Intent Level_select_intent = new Intent(this, Level_select.class);
        Level_select_intent.putExtra("key2", highest_completed_level);
        startActivity(Level_select_intent);
    }
}
